MONGOC_BULK_OPERATION_INSERT(3)

NAME
mongoc_bulk_operation_insert() - None

SYNOPSIS

void
mongoc_bulk_operation_insert (mongoc_bulk_operation_t *bulk,
                              const bson_t            *document);

Queue an insert of a single document into a bulk operation. The insert is not performed until mongoc_bulk_operation_execute(3) is called.

PARAMETERS

bulk
    A mongoc_bulk_operation_t \&.

document
    A bson_t \&.

ERRORS

Errors are propagated via mongoc_bulk_operation_execute(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.